how to convert from 'class Handle_AIS_Shape' to 'class BRepBuilderAPI_MakeEdge'

I want to convert from 'class Handle_AIS_Shape' to 'class BRepBuilderAPI_MakeEdge':

BRepAlgoAPI_Section section(BZ5,BZ6,PerformNow);///‹Œð
section.ComputePCurveOn1(Standard_True);
section.Approximation(TopOpeBRepTool_APPROX);
section.Build();
Handle(AIS_Shape) asection=new AIS_Shape(section.Shape());
TopoDS_Edge aEdge = BRepBuilderAPI_MakeEdge( asection );
in above,BZ5,BZ6 are Bezier surfaces
I think that the "asection" is a curve,do you think so ?
can you tell the mistake?
thanks!

pony's picture

TopoDS_Shape ashap = section.Shape();
but I want to get TopoDS_Edge,how to do ?

Pawel's picture

use this:

TopoDS::Edge(ashap)

Pawel

pony's picture

I want to make a fillet on this edge, but now I find class BRepFilletAPI_MakeFillet only operate on a TopoShap,I can operate on this edge directly use class BRepFilletAPI_MakeFillet ?How to do ?